Bug 1027135 - Associations of LMI_Chassis fail with "CSCreationClassName is empty" in sfcb
Associations of LMI_Chassis fail with "CSCreationClassName is empty" in sfcb
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openlmi-providers (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 03:53 EST by Klaus Kämpf
Modified: 2013-11-22 07:50 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-22 07:50:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Klaus Kämpf 2013-11-06 03:53:57 EST
Description of problem:
Enumerating instances of LMI_Chassis via pywbem-yawn results in "CSCreationClassName is empty" error with sfcb

Version-Release number of selected component (if applicable):


How reproducible:
Always
Did not happen with openlmi-providers 0.4.0

Steps to Reproduce:
1. Install sfcb and
openlmi-tools-0.9-1.noarch
openlmi-providers-0.4.1-1.x86_64
openlmi-networking-0.2.1-1.x86_64
openlmi-hardware-0.4.1-1.x86_64
openlmi-fan-0.4.1-1.x86_64
openlmi-service-0.4.1-1.x86_64
openlmi-indicationmanager-libs-0.4.1-1.x86_64
openlmi-python-base-0.4.1-1.noarch
openlmi-python-providers-0.4.1-1.noarch
openlmi-software-0.4.1-1.noarch
openlmi-powermanagement-0.4.1-1.x86_64
openlmi-logicalfile-0.4.1-1.x86_64
openlmi-realmd-0.4.1-1.x86_64
openlmi-account-0.4.1-1.x86_64
on openSUSE 12.3

2. Run pywbem-yawn
3. Get instance of LMI_Chassis
4. Click on "Object Associated with this Instance"

Actual results:
"CSCreationClassName is empty" error

Expected results:
List of associated instances

Additional info:
Comment 1 Klaus Kämpf 2013-11-06 04:05:27 EST
Oh, sorry for not looking for the obvious.

A similar bug was already reported in
https://lists.fedorahosted.org/pipermail/openlmi-devel/2013-October/001811.html

While version 0.4.1 is not crashing for me, the check for CSCreationClassName (and CSName) in src/logicalfile/file.c might just be wrong for associations.
Comment 2 Klaus Kämpf 2013-11-06 04:15:30 EST
The call to lmi_check_required comes from src/logicalfile/LMI_FileIdentityProvider.c:172 in its references() implementation.
Comment 3 Jan Safranek 2013-11-14 03:56:39 EST
Patch sent for review: http://reviewboard-openlmi.rhcloud.com/r/1242/
Comment 4 Jan Safranek 2013-11-14 05:32:51 EST
And another one: https://reviewboard-openlmi.rhcloud.com/r/1245/
Comment 6 Klaus Kämpf 2013-11-14 08:51:38 EST
Works perfectly now, thanks a lot !
Comment 7 Jan Safranek 2013-11-22 07:50:37 EST
I pushed a fix to 0.4-fixes and master branches and it will be available in next OpenLMI release.

Note You need to log in before you can comment on or make changes to this bug.